<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Frame](./puppeteer.frame.md) &gt; [waitForSelector](./puppeteer.frame.waitforselector.md)

## Frame.waitForSelector() method

<b>Signature:</b>

```typescript
waitForSelector(selector: string, options?: WaitForSelectorOptions): Promise<ElementHandle | null>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  selector | string |  |
|  options | WaitForSelectorOptions |  |

<b>Returns:</b>

Promise&lt;[ElementHandle](./puppeteer.elementhandle.md) \| null&gt;

